{
  description = "A very basic flake";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs?ref=nixos-unstable";
  };

  outputs = { self, nixpkgs, ... }:
    let
      system = "x86_64-linux";
      pkgs = nixpkgs.legacyPackages.${system};
      scotch = pkgs.scotch.overrideAttrs (finalAttrs: previousAttrs: {
          cmakeFlags = [ "-DINTSIZE=64 -DBUILD_SHARED_LIBS=ON" ];
      });
#      hwloc = pkgs.hwloc.overrideAttrs (finalAttrs: previousAttrs: {
#          configureFlags = [ "--localstatedir=/var" "--enable-netloc" --"" ];
#      });
      starpu = pkgs.callPackage ./package-starpu.nix { };
      #starpu-static = pkgs.pkgsStatic.callPackage ./package-starpu.nix { };
      pastix = pkgs.callPackage ./package-pastix.nix { };
      pastix-static = pkgs.pkgsStatic.callPackage ./package-pastix.nix { };
    
    in {
        devShells.${system}.default = pkgs.mkShell {
            buildInputs = [
              pkgs.autoconf
              pkgs.automake
              pkgs.cmake
              pkgs.gfortran
              pkgs.pkg-config
              pkgs.libtool
              pkgs.blas-ilp64
              pkgs.hwloc
              scotch
              pkgs.lapack-ilp64
              pkgs.arpack
              pkgs.spooles
              pkgs.python3
              pkgs.gdb
              starpu
              pastix
            ];
        };
#      starpu = pkgs.callPackage ./package-starpu.nix { };
    };
}
